unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComObj;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    ListBox1: TListBox;
    Button4: TButton;
    Button5: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    NumRows: TEdit;
    NumColumns: TEdit;
    Label4: TLabel;
    format: TEdit;
    ApplyBorders: TCheckBox;
    ApplyShading: TCheckBox;
    ApplyFont: TCheckBox;
    ApplyColor: TCheckBox;
    ApplyHeadingRows: TCheckBox;
    ApplyLastRow: TCheckBox;
    ApplyFirstColumn: TCheckBox;
    ApplyLastColumn: TCheckBox;
    AutoFit: TCheckBox;
    Button6: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure ListBox1Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation
var
  W:Variant;
  table: Variant;

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
// 
begin
  W.ActiveDocument.Tables.Add(Range:=W.ActiveDocument.Range, NumRows:=2, NumColumns:=3);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  W:=CreateOleObject('Word.Application');
  W.Visible:=True;
  W.Documents.Add;
end;

procedure TForm1.Button3Click(Sender: TObject);
//   
var
   MyRange:Variant;
begin
   W.ActiveDocument.Range.InsertAfter(' ');
   MyRange:=W.ActiveDocument.Range(W.ActiveDocument.Range.End-1,
                  W.ActiveDocument.Range.End-1);
   W.ActiveDocument.Tables.Add(Range:=MyRange, NumRows:=2, NumColumns:=3);
end;

procedure TForm1.Button4Click(Sender: TObject);
// 
var a: integer;
begin
  ListBox1.Items.Clear;
  for a:=1 to W.ActiveDocument.Tables.Count do
    begin
      ListBox1.Items.Add(' - '+IntToStr(a));
    end;
end;

procedure TForm1.Button5Click(Sender: TObject);
//  
begin
  W.ActiveDocument.Tables.Item(ListBox1.ItemIndex+1).Select;
  W.ActiveDocument.Tables.Item(ListBox1.ItemIndex+1).Delete;
end;

procedure TForm1.ListBox1Click(Sender: TObject);
//   
begin
  table:=W.ActiveDocument.Tables.Item(ListBox1.ItemIndex+1);
  NumRows.Text:=IntToStr(table.Rows.Count);
  NumColumns.Text:=IntToStr(table.Columns.Count);
end;

procedure TForm1.Button6Click(Sender: TObject);
//  
begin
  table.AutoFormat(Format:=StrToInt(format.Text),
           ApplyBorders:=ApplyBorders.Checked,
           ApplyShading:=ApplyShading.Checked,
           ApplyFont:=ApplyFont.Checked,
           ApplyColor:=ApplyColor.Checked,
           ApplyHeadingRows:=ApplyHeadingRows.Checked,
           ApplyLastRow:=ApplyLastRow.Checked,
           ApplyFirstColumn:=ApplyFirstColumn.Checked,
           ApplyLastColumn:=ApplyLastColumn.Checked,
           AutoFit:=AutoFit.Checked);
end;

end.
